Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.node
Interface IUserLayoutNodeDescription

All Known Subinterfaces:
  IALChannelDescription, IALFolderDescription, IALNodeDescription, IUserLayoutChannelDescription, IUserLayoutFolderDescription

All Known Implementing Classes:
  ALChannelDescription, ALFolderDescription, UserLayoutChannelDescription, UserLayoutFolderDescription, UserLayoutNodeDescription

    public interface IUserLayoutNodeDescription

An interface describing common features of user layout nodes, that is channels and folders

Version:
  1.0
Author:
  Peter Kharchenko

Field Summary
`static int` | `CHANNEL` Constants indicating the type of a node
`static int` | `FOLDER`

Method Summary
`void` | `addNodeAttributes(org.w3c.dom.Element node)`
`java.lang.String` | `getId()` Returns a node Id.
`java.lang.String` | `getName()` Determine a name associated with this node.
`double` | `getPrecedence()` Returns the precedence value for this node.
`int` | `getType()` Returns a type of the node, could be FOLDER or CHANNEL integer constant.
`org.w3c.dom.Element` | `getXML(org.w3c.dom.Document root)` Creates a `org.w3c.dom.Element` representation of the current node.
`boolean` | `isAddChildAllowed()` Returns true if child nodes can be added to the node.
`boolean` | `isDeleteAllowed()` Returns true if the node can be deleted.
`boolean` | `isEditAllowed()` Returns true if the node's attributes can be edited.
`boolean` | `isHidden()`
`boolean` | `isImmutable()`
`boolean` | `isMoveAllowed()` Returns true if the node can be moved.
`boolean` | `isUnremovable()`
`void` | `setAddChildAllowed(boolean setting)` Set whether or not child nodes can be added to this node.
`void` | `setDeleteAllowed(boolean setting)` Set whether a node can be deleted or not.
`void` | `setEditAllowed(boolean setting)` Set whether a node's attributes can be edited or not.
`void` | `setHidden(boolean setting)`
`void` | `setId(java.lang.String id)` Set a new node Id.
`void` | `setImmutable(boolean setting)`
`void` | `setMoveAllowed(boolean setting)` Set whether a node can be moved or not.
`void` | `setName(java.lang.String name)`
`void` | `setPrecedence(double setting)` Set the precedence of a node.
`void` | `setUnremovable(boolean setting)`

Field Detail

### CHANNEL

    static final int CHANNEL

  Constants indicating the type of a node

  See Also:
    Constant Field Values

### FOLDER

    static final int FOLDER

See Also:
  Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns a node Id. The Id has to be unique in the entire user layout document.

  Returns:
    a `String` value

### setId

    void setId(java.lang.String id)

  Set a new node Id. The Id has to be unique in the entire user layout document.

### getName

    java.lang.String getName()

  Determine a name associated with this node.

  Returns:
    a folder/channel name.

### getType

    int getType()

  Returns a type of the node, could be FOLDER or CHANNEL integer constant.

  Returns:
    a type

### setName

    void setName(java.lang.String name)

### isUnremovable

    boolean isUnremovable()

### setUnremovable

    void setUnremovable(boolean setting)

### isImmutable

    boolean isImmutable()

### setImmutable

    void setImmutable(boolean setting)

### isHidden

    boolean isHidden()

### setHidden

    void setHidden(boolean setting)

### getXML

    org.w3c.dom.Element getXML(org.w3c.dom.Document root)

  Creates a `org.w3c.dom.Element` representation of the current node.

  Parameters:
    `root` - a `Document` for which the `Element` should be created.
  Returns:
    a `Element` value

### addNodeAttributes

    void addNodeAttributes(org.w3c.dom.Element node)

### isAddChildAllowed

    boolean isAddChildAllowed()

  Returns true if child nodes can be added to the node. Added by SCT for DLM.

### setAddChildAllowed

    void setAddChildAllowed(boolean setting)

  Set whether or not child nodes can be added to this node. Added by SCT for DLM.

### isEditAllowed

    boolean isEditAllowed()

  Returns true if the node's attributes can be edited. Added by SCT for DLM.

### setEditAllowed

    void setEditAllowed(boolean setting)

  Set whether a node's attributes can be edited or not. Added by SCT for DLM.

### getPrecedence

    double getPrecedence()

  Returns the precedence value for this node. The precedence is 0.0 for a user owned node and the value of the node's owning fragment's precedence for a node incorporated from another fragment. Added by SCT for DLM.

### setPrecedence

    void setPrecedence(double setting)

  Set the precedence of a node. See getPrecedence for more information. Added by SCT for DLM.

### isMoveAllowed

    boolean isMoveAllowed()

  Returns true if the node can be moved. Added by SCT for DLM.

### setMoveAllowed

    void setMoveAllowed(boolean setting)

  Set whether a node can be moved or not. Added by SCT for DLM.

### isDeleteAllowed

    boolean isDeleteAllowed()

  Returns true if the node can be deleted. Added by SCT for DLM.

### setDeleteAllowed

    void setDeleteAllowed(boolean setting)

  Set whether a node can be deleted or not. Added by SCT for DLM.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD